directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From fel...@apache.org
Subject svn commit: r607532 [2/3] - in /directory/sandbox/felixk: ./ studio-aciitemeditor/ studio-apacheds-configuration-feature/ studio-apacheds-configuration-help/ studio-apacheds-configuration/ studio-connection-core/ studio-connection-ui/ studio-dsml-parse...
Date Sun, 30 Dec 2007 09:15:39 GMT

Modified: directory/sandbox/felixk/pom.xml
URL: http://svn.apache.org/viewvc/directory/sandbox/felixk/pom.xml?rev=607532&r1=607531&r2=607532&view=diff
==============================================================================
--- directory/sandbox/felixk/pom.xml (original)
+++ directory/sandbox/felixk/pom.xml Sun Dec 30 01:15:36 2007
@@ -1,1171 +1,1170 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-    Licensed to the Apache Software Foundation (ASF) under one or more
-    contributor license agreements.  See the NOTICE file distributed with
-    this work for additional information regarding copyright ownership.
-    The ASF licenses this file to You under the Apache License, Version 2.0
-    (the "License"); you may not use this file except in compliance with
-    the License.  You may obtain a copy of the License at
-    
-    http://www.apache.org/licenses/LICENSE-2.0
-    
-    Unless required by applicable law or agreed to in writing, software
-    distributed under the License is distributed on an "AS IS" BASIS,
-    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-    See the License for the specific language governing permissions and
-    limitations under the License.
+  Licensed to the Apache Software Foundation (ASF) under one or more
+  contributor license agreements.  See the NOTICE file distributed with
+  this work for additional information regarding copyright ownership.
+  The ASF licenses this file to You under the Apache License, Version 2.0
+  (the "License"); you may not use this file except in compliance with
+  the License.  You may obtain a copy of the License at
+  
+  http://www.apache.org/licenses/LICENSE-2.0
+  
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License.
 -->
 <!--
-    @author <a href="mailto:dev@directory.apache.org">Apache Directory Project</a>
-    @version $Id: pom.xml 353 2007-10-28 14:59:35Z felix $
+  @author <a href="mailto:dev@directory.apache.org">Apache Directory Project</a>
 -->
 
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-    <modelVersion>4.0.0</modelVersion>
+  <modelVersion>4.0.0</modelVersion>
 
-    <parent>
-        <groupId>org.apache.directory.project</groupId>
-        <artifactId>project</artifactId>
-        <version>9-SNAPSHOT</version>
-    </parent>
-
-    <groupId>org.apache.directory.studio</groupId>
-    <artifactId>parent</artifactId>
-    <version>1.0.2-SNAPSHOT</version>
-    <name>Apache Directory Studio</name>
-    <packaging>pom</packaging>
-
-    <url>http://directory.apache.org/studio/</url>
-
-    <issueManagement>
-        <system>JIRA</system>
-        <url>http://issues.apache.org/jira/browse/DIRSTUDIO</url>
-    </issueManagement>
-
-    <!-- TODO
-        <ciManagement>
-        <system>Continuum</system>
-        <url>https://directory.apache.org/continuum/servlet/continuum</url>
-        </ciManagement>
-    -->
-
-    <scm>
-        <connection>scm:svn:https://svn.apache.org/repos/asf/directory/sandbox/felixk/</connection>
-        <developerConnection>scm:svn:https://svn.apache.org/repos/asf/directory/sandbox/felixk/</developerConnection>
-        <url>https://svn.apache.org/repos/asf/directory/sandbox/felixk/</url>
-    </scm>
-
-    <inceptionYear>2003</inceptionYear>
-
-    <distributionManagement>
-        <site>
-            <id>felixknecht.ch</id>
-            <url>scpexe://felixknecht.ch/var/www/felixknecht.ch/htdocs/projects/studio/</url>
-        </site>
-    </distributionManagement>
-
-    <mailingLists>
-        <mailingList>
-            <name>The Directory Developers List</name>
-            <subscribe>dev-subscribe@directory.apache.org</subscribe>
-            <unsubscribe>dev-unsubscribe@directory.apache.org</unsubscribe>
-            <post>dev@directory.apache.org</post>
-            <archive>http://mail-archives.apache.org/mod_mbox/directory-dev</archive>
-        </mailingList>
-        <mailingList>
-            <name>The Directory Users List</name>
-            <subscribe>users-subscribe@directory.apache.org</subscribe>
-            <unsubscribe>users-unsubscribe@directory.apache.org</unsubscribe>
-            <post>users@directory.apache.org</post>
-            <archive>http://mail-archives.apache.org/mod_mbox/directory-users</archive>
-        </mailingList>
-        <mailingList>
-            <name>The Directory Commits (SVN) List</name>
-            <subscribe>commits-subscribe@directory.apache.org</subscribe>
-            <unsubscribe>commits-unsubscribe@directory.apache.org</unsubscribe>
-            <archive>http://mail-archives.apache.org/mod_mbox/directory-commits</archive>
-        </mailingList>
-    </mailingLists>
-
-    <properties>
-        <!-- Set versions for subprojects -->
-        <valueeditors.version>1.0.0</valueeditors.version>
-        <updatesite.version>1.0.0</updatesite.version>
-        <schemaeditor.help.version>1.0.1</schemaeditor.help.version>
-        <schemaeditor.feature.version>1.0.1</schemaeditor.feature.version>
-        <schemaeditor.version>1.0.0</schemaeditor.version>
-        <help.version>1.0.0</help.version>
-        <feature.version>1.0.1</feature.version>
-        <rcp.version>1.0.1</rcp.version>
-        <ldifeditor.help.version>1.0.1</ldifeditor.help.version>
-        <ldifeditor.feature.version>1.0.1</ldifeditor.feature.version>
-        <ldifeditor.version>1.0.1</ldifeditor.version>
-        <ldifparser.version>1.0.0</ldifparser.version>
-        <ldapbrowser.ui.version>1.0.1</ldapbrowser.ui.version>
-        <ldapbrowser.help.version>1.0.1</ldapbrowser.help.version>
-        <ldapbrowser.feature.version>1.0.1</ldapbrowser.feature.version>
-        <ldapbrowser.core.version>1.0.1</ldapbrowser.core.version>
-        <ldapbrowser.common.version>1.0.1</ldapbrowser.common.version>
-        <jars.version>1.0.0</jars.version>
-        <studio.dsml.parser.version>0.4.1</studio.dsml.parser.version>
-        <connection.ui.version>1.0.0</connection.ui.version>
-        <connection.core.version>1.0.1</connection.core.version>
-        <apacheds.configuration.help.version>1.0.0</apacheds.configuration.help.version>
-        <apacheds.configuration.feature.version>1.0.0</apacheds.configuration.feature.version>
-        <apacheds.configuration.version>1.0.0</apacheds.configuration.version>
-        <aciitemeditor.version>1.0.0</aciitemeditor.version>
-    </properties>
-
-    <profiles>
-        <!-- Skip tests -->
-        <profile>
-            <id>notests</id>
-            <properties>
-                <maven.test.skip>true</maven.test.skip>
-            </properties>
-        </profile>
-
-        <!-- Linux i386 GTK-->
-        <profile>
-            <id>linux-i386</id>
-            <activation>
-                <activeByDefault>true</activeByDefault>
-            </activation>
-            <properties>
-                <swt.platformrelated.groupId>org.eclipse.swt.gtk.linux</swt.platformrelated.groupId>
-                <swt.platformrelated.artifactId>x86</swt.platformrelated.artifactId>
-            </properties>
-        </profile>
-
-        <!-- Linux AMD64 GTK-->
-        <profile>
-            <id>linux-amd64</id>
-            <properties>
-                <swt.platformrelated.groupId>org.eclipse.swt.gtk.linux</swt.platformrelated.groupId>
-                <swt.platformrelated.artifactId>x86_64</swt.platformrelated.artifactId>
-            </properties>
-        </profile>
-
-        <!-- Linux PPC GTK-->
-        <profile>
-            <id>linux-ppc</id>
-            <properties>
-                <swt.platformrelated.groupId>org.eclipse.swt.gtk.linux</swt.platformrelated.groupId>
-                <swt.platformrelated.artifactId>ppc</swt.platformrelated.artifactId>
-            </properties>
-        </profile>
-
-        <!-- Windows -->
-        <profile>
-            <id>windows-x86</id>
-            <properties>
-                <swt.platformrelated.groupId>org.eclipse.swt.win32.win32</swt.platformrelated.groupId>
-                <swt.platformrelated.artifactId>x86</swt.platformrelated.artifactId>
-            </properties>
-        </profile>
-
-        <!-- Windows x86_64 -->
-        <profile>
-            <id>windows-amd64</id>
-            <properties>
-                <!-- only available for SDK/RCP >= 3.4
-                    <swt.platformrelated.groupId>org.eclipse.swt.???</swt.platformrelated.groupId>
-                    <swt.platformrelated.artifactId>???</swt.platformrelated.artifactId>
-                -->
-            </properties>
-        </profile>
-
-        <!-- Mac OS X i386 -->
-        <profile>
-            <id>mac-os-x-i386</id>
-            <properties>
-                <swt.platformrelated.groupId>org.eclipse.swt.carbon</swt.platformrelated.groupId>
-                <swt.platformrelated.artifactId>macosx</swt.platformrelated.artifactId>
-            </properties>
-        </profile>
-
-        <!-- Mac OS X PPC -->
-        <profile>
-            <id>mac-os-x-ppc</id>
-            <properties>
-                <swt.platformrelated.groupId>org.eclipse.swt.carbon</swt.platformrelated.groupId>
-                <swt.platformrelated.artifactId>macosx</swt.platformrelated.artifactId>
-            </properties>
-        </profile>
-    </profiles>
-
-    <dependencyManagement>
-        <dependencies>
-            <!-- Maven -->
-            <dependency>
-                <groupId>org.apache.maven</groupId>
-                <artifactId>maven-plugin-api</artifactId>
-                <version>2.0</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-dependency-plugin</artifactId>
-                <version>2.0-alpha-4</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.maven</groupId>
-                <artifactId>maven-artifact</artifactId>
-                <version>2.0.7</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.maven</groupId>
-                <artifactId>maven-model</artifactId>
-                <version>2.0.7</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.maven</groupId>
-                <artifactId>maven-project</artifactId>
-                <version>2.0.7</version>
-            </dependency>
-
-            <!-- Eclipse RCP binaries -->
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>eclipse-RCP-macosx-carbon</artifactId>
-                <version>3.3.1.1</version>
-                <type>tar.gz</type>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>eclipse-RCP-linux-gtk</artifactId>
-                <version>3.3.1.1</version>
-                <type>tar.gz</type>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>eclipse-RCP-win32</artifactId>
-                <version>3.3.1.1</version>
-                <type>tar.gz</type>
-            </dependency>
-
-            <!-- Eclipse RCP artifacts -->
-            <dependency>
-                <groupId>com.ibm</groupId>
-                <artifactId>icu</artifactId>
-                <version>3.6.1-v20070906</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>jobs</artifactId>
-                <version>3.3.1-R33x_v20070709</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>filesystem</artifactId>
-                <version>1.1.0-v20070606</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>resources</artifactId>
-                <version>3.3.0-v20070604</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>rcp</artifactId>
-                <version>3.2.0-v20070612</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.equinox</groupId>
-                <artifactId>common</artifactId>
-                <version>3.3.0-v20070426</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.equinox</groupId>
-                <artifactId>app</artifactId>
-                <version>1.0.1-R33x_v20070828</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>osgi</artifactId>
-                <version>3.3.1-R33x_v20070828</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.swt.gtk.linux</groupId>
-                <artifactId>x86</artifactId>
-                <version>3.3.2-v3347</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.swt.gtk.linux</groupId>
-                <artifactId>x86_64</artifactId>
-                <version>3.3.2-v3347</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.swt.gtk.linux</groupId>
-                <artifactId>ppc</artifactId>
-                <version>3.3.2-v3347</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.swt.win32.win32</groupId>
-                <artifactId>x86</artifactId>
-                <version>3.3.2-v3347a</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.swt.carbon</groupId>
-                <artifactId>macosx</artifactId>
-                <version>3.3.2-v3347a</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>jface</artifactId>
-                <version>3.3.1-M20070910-0800b</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>swt</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>ui</artifactId>
-                <version>3.3.1-M20070910-0800b</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>swt</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>runtime</artifactId>
-                <version>3.3.100-v20070530</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse.equinox</groupId>
-                        <artifactId>app</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.equinox</groupId>
-                <artifactId>preferences</artifactId>
-                <version>3.2.100-v20070522</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.equinox</groupId>
-                <artifactId>registry</artifactId>
-                <version>3.3.1-R33x_v20070802</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui</groupId>
-                <artifactId>workbench</artifactId>
-                <version>3.3.1-M20070921-1200</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>help</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>swt</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.core</groupId>
-                        <artifactId>databinding</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.jface</groupId>
-                        <artifactId>databinding</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>commands</artifactId>
-                <version>3.3.0-I20070605-0010</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>contenttype</artifactId>
-                <version>3.2.100-v20070319</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>expressions</artifactId>
-                <version>3.3.0-v20070606-0010</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core.runtime.compatibility</groupId>
-                <artifactId>auth</artifactId>
-                <version>3.2.100-v20070502</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>help</artifactId>
-                <version>3.3.1-v20070726_33x</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.jface</groupId>
-                <artifactId>databinding</artifactId>
-                <version>1.1.1-M20070910-0800b</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>swt</artifactId>
-                <version>3.3.2-v3347</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.update</groupId>
-                <artifactId>configurator</artifactId>
-                <version>3.2.101-R33x_v20070810</version>
-            </dependency>
-
-            <!-- Eclipse SDK dependencies -->
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>search</artifactId>
-                <version>3.3.1-r331_v20070831-0800</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse.core</groupId>
-                        <artifactId>filebuffers</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>ui</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.ui</groupId>
-                        <artifactId>ide</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>jface</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.jface</groupId>
-                        <artifactId>text</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.ui.workbench</groupId>
-                        <artifactId>texteditor</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core</groupId>
-                <artifactId>filebuffers</artifactId>
-                <version>3.3.1-r331_v20070829</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.jface</groupId>
-                <artifactId>text</artifactId>
-                <version>3.3.1-r331_v20070629</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui</groupId>
-                <artifactId>editors</artifactId>
-                <version>3.2.1-r321_v20060721</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse.ui</groupId>
-                        <artifactId>ide</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.jface</groupId>
-                        <artifactId>text</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.core</groupId>
-                        <artifactId>filebuffers</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui.workbench</groupId>
-                <artifactId>texteditor</artifactId>
-                <version>3.3.1-r331_v20070806</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse.jface</groupId>
-                        <artifactId>text</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>text</artifactId>
-                <version>3.3.0-v20070606-0010</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui</groupId>
-                <artifactId>forms</artifactId>
-                <version>3.2.0-v20060602</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.update</groupId>
-                <artifactId>ui</artifactId>
-                <version>3.2.100-v20070615</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse.update</groupId>
-                        <artifactId>configurator</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.update</groupId>
-                <artifactId>core</artifactId>
-                <version>3.2.101-R33x_v20070911</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse.update</groupId>
-                        <artifactId>configurator</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.core</groupId>
-                        <artifactId>net</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui</groupId>
-                <artifactId>views</artifactId>
-                <version>3.2.1-M20060906-0800</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>help</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui</groupId>
-                <artifactId>intro</artifactId>
-                <version>3.2.101-v20070827_33x</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.ui</groupId>
-                <artifactId>ide</artifactId>
-                <version>3.3.1-M20070910-0800b</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.eclipse</groupId>
-                        <artifactId>help</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.eclipse.update</groupId>
-                        <artifactId>configurator</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.help</groupId>
-                <artifactId>ui</artifactId>
-                <version>3.3.1-v20070726_33x</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.help</groupId>
-                <artifactId>base</artifactId>
-                <version>3.2.1-R321_v20060822</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.help</groupId>
-                <artifactId>appserver</artifactId>
-                <version>3.1.200-v20070510</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core.runtime</groupId>
-                <artifactId>compatibility</artifactId>
-                <version>3.1.100-v20060603</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache</groupId>
-                <artifactId>lucene</artifactId>
-                <version>1.9.1-v200706111724</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.core.runtime.compatibility</groupId>
-                <artifactId>registry</artifactId>
-                <version>3.2.1-R32x_v20060907</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse.help</groupId>
-                <artifactId>webapp</artifactId>
-                <version>3.3.1-v20070823_33x</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>sdk</artifactId>
-                <version>3.3.2-R33x_v20071022</version>
-            </dependency>
-            <dependency>
-                <groupId>org.eclipse</groupId>
-                <artifactId>tomcat</artifactId>
-                <version>4.1.130-v20060601</version>
-            </dependency>
-
-            <!-- Apache Directory Studio -->
-            <dependency>
-                <groupId>org.apache.directory.studio.connection</groupId>
-                <artifactId>core</artifactId>
-                <version>${connection.core.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>studio-dsml-parser</artifactId>
-                <version>${studio.dsml.parser.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldapbrowser</groupId>
-                <artifactId>core</artifactId>
-                <version>${ldapbrowser.core.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldapbrowser</groupId>
-                <artifactId>common</artifactId>
-                <version>${ldapbrowser.common.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.connection</groupId>
-                <artifactId>ui</artifactId>
-                <version>${connection.ui.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.connection</groupId>
-                <artifactId>core</artifactId>
-                <version>${connection.core.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>valueeditors</artifactId>
-                <version>${valueeditors.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>studio</artifactId>
-                <version>${rcp.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>ldifeditor</artifactId>
-                <version>${ldifeditor.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>ldifparser</artifactId>
-                <version>${ldifparser.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>schemaeditor</artifactId>
-                <version>${schemaeditor.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldapbrowser</groupId>
-                <artifactId>ui</artifactId>
-                <version>${ldapbrowser.ui.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.apacheds</groupId>
-                <artifactId>configuration</artifactId>
-                <version>${apacheds.configuration.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>jars</artifactId>
-                <version>${jars.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>updatesite</artifactId>
-                <version>${updatesite.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>aciitemeditor</artifactId>
-                <version>${aciitemeditor.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>feature</artifactId>
-                <version>${feature.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.schemaeditor</groupId>
-                <artifactId>feature</artifactId>
-                <version>${schemaeditor.feature.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldapbrowser</groupId>
-                <artifactId>feature</artifactId>
-                <version>${ldapbrowser.feature.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldifeditor</groupId>
-                <artifactId>feature</artifactId>
-                <version>${ldifeditor.feature.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.apacheds.configuration</groupId>
-                <artifactId>feature</artifactId>
-                <version>${apacheds.configuration.feature.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.schemaeditor</groupId>
-                <artifactId>help</artifactId>
-                <version>${schemaeditor.help.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>help</artifactId>
-                <version>${help.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldifeditor</groupId>
-                <artifactId>help</artifactId>
-                <version>${ldifeditor.help.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.ldapbrowser</groupId>
-                <artifactId>help</artifactId>
-                <version>${ldapbrowser.help.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.studio.apacheds.configuration</groupId>
-                <artifactId>help</artifactId>
-                <version>${apacheds.configuration.help.version}</version>
-            </dependency>
-
-            <!-- Apache Directory ApacheDS -->
-            <dependency>
-                <groupId>org.apache.directory.server</groupId>
-                <artifactId>apacheds-core-plugin</artifactId>
-                <version>1.5.2-SNAPSHOT</version>
-            </dependency>
-
-            <!-- Apache Directory Shared -->
-            <dependency>
-                <groupId>org.apache.directory.shared</groupId>
-                <artifactId>shared-ldap</artifactId>
-                <version>0.9.8-SNAPSHOT</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.shared</groupId>
-                <artifactId>shared-asn1</artifactId>
-                <version>0.9.8-SNAPSHOT</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.directory.shared</groupId>
-                <artifactId>shared-converter</artifactId>
-                <version>0.9.8-SNAPSHOT</version>
-            </dependency>
-
-            <!-- Other dependencies -->
-            <dependency>
-                <groupId>org.apache.xmlgraphics</groupId>
-                <artifactId>fop</artifactId>
-                <version>0.93</version>
-            </dependency>
-            <dependency>
-                <groupId>xerces</groupId>
-                <artifactId>xercesImpl</artifactId>
-                <version>2.0.2</version>
-            </dependency>
-            <dependency>
-                <groupId>checkstyle</groupId>
-                <artifactId>checkstyle</artifactId>
-                <version>2.2</version>
-            </dependency>
-            <dependency>
-                <groupId>antlr</groupId>
-                <artifactId>antlr</artifactId>
-                <version>2.7.7</version>
-            </dependency>
-            <dependency>
-                <groupId>docbook</groupId>
-                <artifactId>docbook-xml</artifactId>
-                <type>zip</type>
-                <version>4.5</version>
-            </dependency>
-            <dependency>
-                <groupId>docbook</groupId>
-                <artifactId>docbook-xsl</artifactId>
-                <type>zip</type>
-                <version>1.71.1</version>
-            </dependency>
-            <dependency>
-                <groupId>dom4j</groupId>
-                <artifactId>dom4j</artifactId>
-                <version>1.6.1</version>
-            </dependency>
-            <dependency>
-                <groupId>commons-io</groupId>
-                <artifactId>commons-io</artifactId>
-                <version>1.3.1</version>
-            </dependency>
-            <dependency>
-                <groupId>commons-lang</groupId>
-                <artifactId>commons-lang</artifactId>
-                <version>2.1</version>
-            </dependency>
-            <dependency>
-                <groupId>commons-codec</groupId>
-                <artifactId>commons-codec</artifactId>
-                <version>1.3</version>
-            </dependency>
-            <dependency>
-                <groupId>commons-collections</groupId>
-                <artifactId>commons-collections</artifactId>
-                <version>3.2</version>
-            </dependency>
-            <dependency>
-                <groupId>xpp3</groupId>
-                <artifactId>xpp3</artifactId>
-                <version>1.1.3.4.O</version>
-            </dependency>
-            <dependency>
-                <groupId>junit</groupId>
-                <artifactId>junit</artifactId>
-                <version>3.8.2</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.poi</groupId>
-                <artifactId>poi</artifactId>
-                <version>3.0.1-FINAL</version>
-            </dependency>
-            <dependency>
-                <groupId>org.slf4j</groupId>
-                <artifactId>nlog4j</artifactId>
-                <version>1.2.25</version>
-            </dependency>
-        </dependencies>
-    </dependencyManagement>
-
-    <modules>
-        <module>studio-ldif-parser</module>
-        <module>studio-connection-core</module>
-        <module>studio-dsml-parser</module>
-        <module>studio-ldapbrowser-core</module>
-        <module>studio-connection-ui</module>
-        <module>studio-ldapbrowser-common</module>
-        <module>studio-valueeditors</module>
-        <module>studio-aciitemeditor</module>
-        <module>studio-schemaeditor</module>
-        <module>studio-schemaeditor-feature</module>
-        <module>studio-schemaeditor-help</module>
-        <module>studio-rcp</module>
-        <module>studio-rcp-feature</module>
-        <module>studio-rcp-help</module>
-        <module>studio-ldifeditor</module>
-        <module>studio-ldifeditor-feature</module>
-        <module>studio-ldifeditor-help</module>
-        <module>studio-ldapbrowser-ui</module>
-        <module>studio-ldapbrowser-feature</module>
-        <module>studio-ldapbrowser-help</module>
-        <module>studio-apacheds-configuration</module>
-        <module>studio-apacheds-configuration-feature</module>
-        <module>studio-apacheds-configuration-help</module>
-        <module>studio-jars</module>
-        <module>studio-updatesite</module>
-        <module>studio</module>
-    </modules>
-
-    <developers>
-        <developer>
-            <id>adc</id>
-        </developer>
-        <developer>
-            <id>akarasulu</id>
-            <url>http://directory.apache.org/community/who/akarasulu.html</url>
-        </developer>
-        <developer>
-            <id>bayard</id>
-        </developer>
-        <developer>
-            <id>bloritsch</id>
-        </developer>
-        <developer>
-            <id>brett</id>
-        </developer>
-        <developer>
-            <id>ckoppelt</id>
-        </developer>
-        <developer>
-            <id>elecharny</id>
-            <url>http://directory.apache.org/community/who/elecharny.html</url>
-        </developer>
-        <developer>
-            <id>erodriguez</id>
-            <url>http://directory.apache.org/community/who/erodriguez.html</url>
-        </developer>
-        <developer>
-            <id>ersiner</id>
-            <url>http://directory.apache.org/community/who/ersiner.html</url>
-        </developer>
-        <developer>
-            <id>jmachols</id>
-            <url>http://directory.apache.org/community/who/jmachols.html</url>
-        </developer>
-        <developer>
-            <id>niklas</id>
-        </developer>
-        <developer>
-            <id>noel</id>
-            <url>http://directory.apache.org/community/who/noel.html</url>
-        </developer>
-        <developer>
-            <id>pamarcelot</id>
-        </developer>
-        <developer>
-            <id>psteitz</id>
-            <url>http://directory.apache.org/community/who/psteitz.html</url>
-        </developer>
-        <developer>
-            <id>szoerner</id>
-            <url>http://directory.apache.org/community/who/szoerner.html</url>
-        </developer>
-        <developer>
-            <id>trustin</id>
-            <url>http://directory.apache.org/community/who/trustin.html</url>
-        </developer>
-        <developer>
-            <id>vtence</id>
-            <url>http://directory.apache.org/community/who/vtence.html</url>
-        </developer>
-        <developer>
-            <id>wesmckean</id>
-            <url>http://directory.apache.org/community/who/wesmckean.html</url>
-        </developer>
-    </developers>
-
-    <contributors>
-        <contributor>
-            <name>Nick Faiz</name>
-        </contributor>
-    </contributors>
-
-    <licenses>
-        <license>
-            <name>Apache License, Version 2.0</name>
-            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
-        </license>
-    </licenses>
-
-    <build>
-        <plugins>
-            <plugin>
-                <groupId>org.apache.directory.studio</groupId>
-                <artifactId>maven-studio-plugin</artifactId>
-                <configuration>
-                    <goalPrefix>studio</goalPrefix>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-eclipse-plugin</artifactId>
-                <configuration>
-                    <skip>true</skip>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-site-plugin</artifactId>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-release-plugin</artifactId>
-                <configuration>
-                    <tagBase>https://svn.apache.org/repos/asf/directory/apacheds/releases</tagBase>
-                </configuration>
-            </plugin>
-            <plugin>
-                <artifactId>maven-compiler-plugin</artifactId>
-                <configuration>
-                    <source>1.5</source>
-                    <target>1.5</target>
-                </configuration>
-            </plugin>
-        </plugins>
-
-        <pluginManagement>
-            <plugins>
-                <plugin>
-                    <groupId>org.codehaus.mojo</groupId>
-                    <artifactId>dependency-maven-plugin</artifactId>
-                    <version>1.0</version>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-antlr-plugin</artifactId>
-                    <version>2.0-beta-1</version>
-                    <executions>
-                        <execution>
-                            <goals>
-                                <goal>generate</goal>
-                            </goals>
-                        </execution>
-                    </executions>
-                </plugin>
-
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-antrun-plugin</artifactId>
-                    <dependencies>
-                        <dependency>
-                            <groupId>org.apache.ant</groupId>
-                            <artifactId>ant-apache-regexp</artifactId>
-                            <version>1.7.0</version>
-                            <scope>compile</scope>
-                        </dependency>
-                        <dependency>
-                            <groupId>xalan</groupId>
-                            <artifactId>xalan</artifactId>
-                            <version>2.7.0</version>
-                            <scope>compile</scope>
-                        </dependency>
-                        <dependency>
-                            <groupId>ant</groupId>
-                            <artifactId>optional</artifactId>
-                            <version>1.5.4</version>
-                            <scope>compile</scope>
-                        </dependency>
-                        <dependency>
-                            <groupId>org.apache.xmlgraphics</groupId>
-                            <artifactId>fop</artifactId>
-                            <version>0.93</version>
-                            <scope>compile</scope>
-                        </dependency>
-                        <!-- 
-                            Putting this dependency in the core pom produces following error (?):
-                            Embedded error: java.lang.ClassCastException: org.apache.fop.render.pdf.PDFRendererMaker cannot be cast to org.apache.fop.render.AbstractRendererMaker
-                            <dependency>
-                            <groupId>org.apache.xmlgraphics</groupId>
-                            <artifactId>xmlgraphics-commons</artifactId>
-                            <version>1.1</version>
-                            <scope>compile</scope>
-                            </dependency>
-                        -->
-                    </dependencies>
-                </plugin>
-            </plugins>
-        </pluginManagement>
-
-    </build>
-
-    <reporting>
-        <excludeDefaults>true</excludeDefaults>
-        <plugins>
-            <plugin>
-                <artifactId>maven-project-info-reports-plugin</artifactId>
-                <reportSets>
-                    <reportSet>
-                        <reports>
-                            <report>license</report>
-                            <report>dependencies</report>
-                            <report>issue-tracking</report>
-                            <report>index</report>
-                        </reports>
-                    </reportSet>
-                </reportSets>
-            </plugin>
-            <!--
-                <plugin>
-                <groupId>org.codehaus.mojo</groupId>
-                <artifactId>changelog-maven-plugin</artifactId>
-                <reportSets>
-                <reportSet>
-                <id>dual-report</id>
-                <configuration>
-                <type>range</type>
-                <range>30</range>
-                </configuration>
-                <reports>
-                <report>changelog</report>
-                <report>file-activity</report>
-                <report>dev-activity</report>
-                </reports>
-                </reportSet>
-                </reportSets>
-                </plugin>
+  <parent>
+    <groupId>org.apache.directory.project</groupId>
+    <artifactId>project</artifactId>
+    <version>9-SNAPSHOT</version>
+  </parent>
+
+  <groupId>org.apache.directory.studio</groupId>
+  <artifactId>parent</artifactId>
+  <version>1.0.2-SNAPSHOT</version>
+  <name>Apache Directory Studio</name>
+  <packaging>pom</packaging>
+
+  <url>http://directory.apache.org/studio/</url>
+
+  <issueManagement>
+    <system>JIRA</system>
+    <url>http://issues.apache.org/jira/browse/DIRSTUDIO</url>
+  </issueManagement>
+
+  <!-- TODO
+    <ciManagement>
+    <system>Continuum</system>
+    <url>https://directory.apache.org/continuum/servlet/continuum</url>
+    </ciManagement>
+  -->
+
+  <scm>
+    <connection>scm:svn:https://svn.apache.org/repos/asf/directory/sandbox/felixk/</connection>
+    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/directory/sandbox/felixk/</developerConnection>
+    <url>https://svn.apache.org/repos/asf/directory/sandbox/felixk/</url>
+  </scm>
+
+  <inceptionYear>2003</inceptionYear>
+
+  <distributionManagement>
+    <site>
+      <id>felixknecht.ch</id>
+      <url>scpexe://felixknecht.ch/var/www/felixknecht.ch/htdocs/projects/studio/</url>
+    </site>
+  </distributionManagement>
+
+  <mailingLists>
+    <mailingList>
+      <name>The Directory Developers List</name>
+      <subscribe>dev-subscribe@directory.apache.org</subscribe>
+      <unsubscribe>dev-unsubscribe@directory.apache.org</unsubscribe>
+      <post>dev@directory.apache.org</post>
+      <archive>http://mail-archives.apache.org/mod_mbox/directory-dev</archive>
+    </mailingList>
+    <mailingList>
+      <name>The Directory Users List</name>
+      <subscribe>users-subscribe@directory.apache.org</subscribe>
+      <unsubscribe>users-unsubscribe@directory.apache.org</unsubscribe>
+      <post>users@directory.apache.org</post>
+      <archive>http://mail-archives.apache.org/mod_mbox/directory-users</archive>
+    </mailingList>
+    <mailingList>
+      <name>The Directory Commits (SVN) List</name>
+      <subscribe>commits-subscribe@directory.apache.org</subscribe>
+      <unsubscribe>commits-unsubscribe@directory.apache.org</unsubscribe>
+      <archive>http://mail-archives.apache.org/mod_mbox/directory-commits</archive>
+    </mailingList>
+  </mailingLists>
+
+  <properties>
+    <!-- Set versions for subprojects -->
+    <valueeditors.version>1.0.0</valueeditors.version>
+    <updatesite.version>1.0.0</updatesite.version>
+    <schemaeditor.help.version>1.0.1</schemaeditor.help.version>
+    <schemaeditor.feature.version>1.0.1</schemaeditor.feature.version>
+    <schemaeditor.version>1.0.0</schemaeditor.version>
+    <help.version>1.0.0</help.version>
+    <feature.version>1.0.1</feature.version>
+    <rcp.version>1.0.1</rcp.version>
+    <ldifeditor.help.version>1.0.1</ldifeditor.help.version>
+    <ldifeditor.feature.version>1.0.1</ldifeditor.feature.version>
+    <ldifeditor.version>1.0.1</ldifeditor.version>
+    <ldifparser.version>1.0.0</ldifparser.version>
+    <ldapbrowser.ui.version>1.0.1</ldapbrowser.ui.version>
+    <ldapbrowser.help.version>1.0.1</ldapbrowser.help.version>
+    <ldapbrowser.feature.version>1.0.1</ldapbrowser.feature.version>
+    <ldapbrowser.core.version>1.0.1</ldapbrowser.core.version>
+    <ldapbrowser.common.version>1.0.1</ldapbrowser.common.version>
+    <jars.version>1.0.0</jars.version>
+    <studio.dsml.parser.version>0.4.1</studio.dsml.parser.version>
+    <connection.ui.version>1.0.0</connection.ui.version>
+    <connection.core.version>1.0.1</connection.core.version>
+    <apacheds.configuration.help.version>1.0.0</apacheds.configuration.help.version>
+    <apacheds.configuration.feature.version>1.0.0</apacheds.configuration.feature.version>
+    <apacheds.configuration.version>1.0.0</apacheds.configuration.version>
+    <aciitemeditor.version>1.0.0</aciitemeditor.version>
+  </properties>
+
+  <profiles>
+    <!-- Skip tests -->
+    <profile>
+      <id>notests</id>
+      <properties>
+        <maven.test.skip>true</maven.test.skip>
+      </properties>
+    </profile>
+
+    <!-- Linux i386 GTK-->
+    <profile>
+      <id>linux-i386</id>
+      <activation>
+        <activeByDefault>true</activeByDefault>
+      </activation>
+      <properties>
+        <swt.platformrelated.groupId>org.eclipse.swt.gtk.linux</swt.platformrelated.groupId>
+        <swt.platformrelated.artifactId>x86</swt.platformrelated.artifactId>
+      </properties>
+    </profile>
+
+    <!-- Linux AMD64 GTK-->
+    <profile>
+      <id>linux-amd64</id>
+      <properties>
+        <swt.platformrelated.groupId>org.eclipse.swt.gtk.linux</swt.platformrelated.groupId>
+        <swt.platformrelated.artifactId>x86_64</swt.platformrelated.artifactId>
+      </properties>
+    </profile>
+
+    <!-- Linux PPC GTK-->
+    <profile>
+      <id>linux-ppc</id>
+      <properties>
+        <swt.platformrelated.groupId>org.eclipse.swt.gtk.linux</swt.platformrelated.groupId>
+        <swt.platformrelated.artifactId>ppc</swt.platformrelated.artifactId>
+      </properties>
+    </profile>
+
+    <!-- Windows -->
+    <profile>
+      <id>windows-x86</id>
+      <properties>
+        <swt.platformrelated.groupId>org.eclipse.swt.win32.win32</swt.platformrelated.groupId>
+        <swt.platformrelated.artifactId>x86</swt.platformrelated.artifactId>
+      </properties>
+    </profile>
+
+    <!-- Windows x86_64 -->
+    <profile>
+      <id>windows-amd64</id>
+      <properties>
+        <!-- only available for SDK/RCP >= 3.4
+          <swt.platformrelated.groupId>org.eclipse.swt.???</swt.platformrelated.groupId>
+          <swt.platformrelated.artifactId>???</swt.platformrelated.artifactId>
+        -->
+      </properties>
+    </profile>
+
+    <!-- Mac OS X i386 -->
+    <profile>
+      <id>mac-os-x-i386</id>
+      <properties>
+        <swt.platformrelated.groupId>org.eclipse.swt.carbon</swt.platformrelated.groupId>
+        <swt.platformrelated.artifactId>macosx</swt.platformrelated.artifactId>
+      </properties>
+    </profile>
+
+    <!-- Mac OS X PPC -->
+    <profile>
+      <id>mac-os-x-ppc</id>
+      <properties>
+        <swt.platformrelated.groupId>org.eclipse.swt.carbon</swt.platformrelated.groupId>
+        <swt.platformrelated.artifactId>macosx</swt.platformrelated.artifactId>
+      </properties>
+    </profile>
+  </profiles>
+
+  <dependencyManagement>
+    <dependencies>
+      <!-- Maven -->
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-plugin-api</artifactId>
+        <version>2.0</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-dependency-plugin</artifactId>
+        <version>2.0-alpha-4</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-artifact</artifactId>
+        <version>2.0.7</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-model</artifactId>
+        <version>2.0.7</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.maven</groupId>
+        <artifactId>maven-project</artifactId>
+        <version>2.0.7</version>
+      </dependency>
+
+      <!-- Eclipse RCP binaries -->
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>eclipse-RCP-macosx-carbon</artifactId>
+        <version>3.3.1.1</version>
+        <type>tar.gz</type>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>eclipse-RCP-linux-gtk</artifactId>
+        <version>3.3.1.1</version>
+        <type>tar.gz</type>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>eclipse-RCP-win32</artifactId>
+        <version>3.3.1.1</version>
+        <type>tar.gz</type>
+      </dependency>
+
+      <!-- Eclipse RCP artifacts -->
+      <dependency>
+        <groupId>com.ibm</groupId>
+        <artifactId>icu</artifactId>
+        <version>3.6.1-v20070906</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>jobs</artifactId>
+        <version>3.3.1-R33x_v20070709</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>filesystem</artifactId>
+        <version>1.1.0-v20070606</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>resources</artifactId>
+        <version>3.3.0-v20070604</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>rcp</artifactId>
+        <version>3.2.0-v20070612</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.equinox</groupId>
+        <artifactId>common</artifactId>
+        <version>3.3.0-v20070426</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.equinox</groupId>
+        <artifactId>app</artifactId>
+        <version>1.0.1-R33x_v20070828</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>osgi</artifactId>
+        <version>3.3.1-R33x_v20070828</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.swt.gtk.linux</groupId>
+        <artifactId>x86</artifactId>
+        <version>3.3.2-v3347</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.swt.gtk.linux</groupId>
+        <artifactId>x86_64</artifactId>
+        <version>3.3.2-v3347</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.swt.gtk.linux</groupId>
+        <artifactId>ppc</artifactId>
+        <version>3.3.2-v3347</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.swt.win32.win32</groupId>
+        <artifactId>x86</artifactId>
+        <version>3.3.2-v3347a</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.swt.carbon</groupId>
+        <artifactId>macosx</artifactId>
+        <version>3.3.2-v3347a</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>jface</artifactId>
+        <version>3.3.1-M20070910-0800b</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>swt</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>ui</artifactId>
+        <version>3.3.1-M20070910-0800b</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>swt</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>runtime</artifactId>
+        <version>3.3.100-v20070530</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse.equinox</groupId>
+            <artifactId>app</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.equinox</groupId>
+        <artifactId>preferences</artifactId>
+        <version>3.2.100-v20070522</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.equinox</groupId>
+        <artifactId>registry</artifactId>
+        <version>3.3.1-R33x_v20070802</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui</groupId>
+        <artifactId>workbench</artifactId>
+        <version>3.3.1-M20070921-1200</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>help</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>swt</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.core</groupId>
+            <artifactId>databinding</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.jface</groupId>
+            <artifactId>databinding</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>commands</artifactId>
+        <version>3.3.0-I20070605-0010</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>contenttype</artifactId>
+        <version>3.2.100-v20070319</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>expressions</artifactId>
+        <version>3.3.0-v20070606-0010</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core.runtime.compatibility</groupId>
+        <artifactId>auth</artifactId>
+        <version>3.2.100-v20070502</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>help</artifactId>
+        <version>3.3.1-v20070726_33x</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.jface</groupId>
+        <artifactId>databinding</artifactId>
+        <version>1.1.1-M20070910-0800b</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>swt</artifactId>
+        <version>3.3.2-v3347</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.update</groupId>
+        <artifactId>configurator</artifactId>
+        <version>3.2.101-R33x_v20070810</version>
+      </dependency>
+
+      <!-- Eclipse SDK dependencies -->
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>search</artifactId>
+        <version>3.3.1-r331_v20070831-0800</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse.core</groupId>
+            <artifactId>filebuffers</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>ui</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.ui</groupId>
+            <artifactId>ide</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>jface</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.jface</groupId>
+            <artifactId>text</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.ui.workbench</groupId>
+            <artifactId>texteditor</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core</groupId>
+        <artifactId>filebuffers</artifactId>
+        <version>3.3.1-r331_v20070829</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.jface</groupId>
+        <artifactId>text</artifactId>
+        <version>3.3.1-r331_v20070629</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui</groupId>
+        <artifactId>editors</artifactId>
+        <version>3.2.1-r321_v20060721</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse.ui</groupId>
+            <artifactId>ide</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.jface</groupId>
+            <artifactId>text</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.core</groupId>
+            <artifactId>filebuffers</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui.workbench</groupId>
+        <artifactId>texteditor</artifactId>
+        <version>3.3.1-r331_v20070806</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse.jface</groupId>
+            <artifactId>text</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>text</artifactId>
+        <version>3.3.0-v20070606-0010</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui</groupId>
+        <artifactId>forms</artifactId>
+        <version>3.2.0-v20060602</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.update</groupId>
+        <artifactId>ui</artifactId>
+        <version>3.2.100-v20070615</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse.update</groupId>
+            <artifactId>configurator</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.update</groupId>
+        <artifactId>core</artifactId>
+        <version>3.2.101-R33x_v20070911</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse.update</groupId>
+            <artifactId>configurator</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.core</groupId>
+            <artifactId>net</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui</groupId>
+        <artifactId>views</artifactId>
+        <version>3.2.1-M20060906-0800</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>help</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui</groupId>
+        <artifactId>intro</artifactId>
+        <version>3.2.101-v20070827_33x</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.ui</groupId>
+        <artifactId>ide</artifactId>
+        <version>3.3.1-M20070910-0800b</version>
+        <exclusions>
+          <exclusion>
+            <groupId>org.eclipse</groupId>
+            <artifactId>help</artifactId>
+          </exclusion>
+          <exclusion>
+            <groupId>org.eclipse.update</groupId>
+            <artifactId>configurator</artifactId>
+          </exclusion>
+        </exclusions>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.help</groupId>
+        <artifactId>ui</artifactId>
+        <version>3.3.1-v20070726_33x</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.help</groupId>
+        <artifactId>base</artifactId>
+        <version>3.2.1-R321_v20060822</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.help</groupId>
+        <artifactId>appserver</artifactId>
+        <version>3.1.200-v20070510</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core.runtime</groupId>
+        <artifactId>compatibility</artifactId>
+        <version>3.1.100-v20060603</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache</groupId>
+        <artifactId>lucene</artifactId>
+        <version>1.9.1-v200706111724</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.core.runtime.compatibility</groupId>
+        <artifactId>registry</artifactId>
+        <version>3.2.1-R32x_v20060907</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse.help</groupId>
+        <artifactId>webapp</artifactId>
+        <version>3.3.1-v20070823_33x</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>sdk</artifactId>
+        <version>3.3.2-R33x_v20071022</version>
+      </dependency>
+      <dependency>
+        <groupId>org.eclipse</groupId>
+        <artifactId>tomcat</artifactId>
+        <version>4.1.130-v20060601</version>
+      </dependency>
+
+      <!-- Apache Directory Studio -->
+      <dependency>
+        <groupId>org.apache.directory.studio.connection</groupId>
+        <artifactId>core</artifactId>
+        <version>${connection.core.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>studio-dsml-parser</artifactId>
+        <version>${studio.dsml.parser.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldapbrowser</groupId>
+        <artifactId>core</artifactId>
+        <version>${ldapbrowser.core.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldapbrowser</groupId>
+        <artifactId>common</artifactId>
+        <version>${ldapbrowser.common.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.connection</groupId>
+        <artifactId>ui</artifactId>
+        <version>${connection.ui.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.connection</groupId>
+        <artifactId>core</artifactId>
+        <version>${connection.core.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>valueeditors</artifactId>
+        <version>${valueeditors.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>studio</artifactId>
+        <version>${rcp.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldifeditor</artifactId>
+        <version>${ldifeditor.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>ldifparser</artifactId>
+        <version>${ldifparser.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>schemaeditor</artifactId>
+        <version>${schemaeditor.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldapbrowser</groupId>
+        <artifactId>ui</artifactId>
+        <version>${ldapbrowser.ui.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.apacheds</groupId>
+        <artifactId>configuration</artifactId>
+        <version>${apacheds.configuration.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>jars</artifactId>
+        <version>${jars.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>updatesite</artifactId>
+        <version>${updatesite.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>aciitemeditor</artifactId>
+        <version>${aciitemeditor.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>feature</artifactId>
+        <version>${feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.schemaeditor</groupId>
+        <artifactId>feature</artifactId>
+        <version>${schemaeditor.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldapbrowser</groupId>
+        <artifactId>feature</artifactId>
+        <version>${ldapbrowser.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldifeditor</groupId>
+        <artifactId>feature</artifactId>
+        <version>${ldifeditor.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.apacheds.configuration</groupId>
+        <artifactId>feature</artifactId>
+        <version>${apacheds.configuration.feature.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.schemaeditor</groupId>
+        <artifactId>help</artifactId>
+        <version>${schemaeditor.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>help</artifactId>
+        <version>${help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldifeditor</groupId>
+        <artifactId>help</artifactId>
+        <version>${ldifeditor.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.ldapbrowser</groupId>
+        <artifactId>help</artifactId>
+        <version>${ldapbrowser.help.version}</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.studio.apacheds.configuration</groupId>
+        <artifactId>help</artifactId>
+        <version>${apacheds.configuration.help.version}</version>
+      </dependency>
+
+      <!-- Apache Directory ApacheDS -->
+      <dependency>
+        <groupId>org.apache.directory.server</groupId>
+        <artifactId>apacheds-core-plugin</artifactId>
+        <version>1.5.2-SNAPSHOT</version>
+      </dependency>
+
+      <!-- Apache Directory Shared -->
+      <dependency>
+        <groupId>org.apache.directory.shared</groupId>
+        <artifactId>shared-ldap</artifactId>
+        <version>0.9.8-SNAPSHOT</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.shared</groupId>
+        <artifactId>shared-asn1</artifactId>
+        <version>0.9.8-SNAPSHOT</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.directory.shared</groupId>
+        <artifactId>shared-converter</artifactId>
+        <version>0.9.8-SNAPSHOT</version>
+      </dependency>
+
+      <!-- Other dependencies -->
+      <dependency>
+        <groupId>org.apache.xmlgraphics</groupId>
+        <artifactId>fop</artifactId>
+        <version>0.93</version>
+      </dependency>
+      <dependency>
+        <groupId>xerces</groupId>
+        <artifactId>xercesImpl</artifactId>
+        <version>2.0.2</version>
+      </dependency>
+      <dependency>
+        <groupId>checkstyle</groupId>
+        <artifactId>checkstyle</artifactId>
+        <version>2.2</version>
+      </dependency>
+      <dependency>
+        <groupId>antlr</groupId>
+        <artifactId>antlr</artifactId>
+        <version>2.7.7</version>
+      </dependency>
+      <dependency>
+        <groupId>docbook</groupId>
+        <artifactId>docbook-xml</artifactId>
+        <type>zip</type>
+        <version>4.5</version>
+      </dependency>
+      <dependency>
+        <groupId>docbook</groupId>
+        <artifactId>docbook-xsl</artifactId>
+        <type>zip</type>
+        <version>1.71.1</version>
+      </dependency>
+      <dependency>
+        <groupId>dom4j</groupId>
+        <artifactId>dom4j</artifactId>
+        <version>1.6.1</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-io</groupId>
+        <artifactId>commons-io</artifactId>
+        <version>1.3.1</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-lang</groupId>
+        <artifactId>commons-lang</artifactId>
+        <version>2.1</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-codec</groupId>
+        <artifactId>commons-codec</artifactId>
+        <version>1.3</version>
+      </dependency>
+      <dependency>
+        <groupId>commons-collections</groupId>
+        <artifactId>commons-collections</artifactId>
+        <version>3.2</version>
+      </dependency>
+      <dependency>
+        <groupId>xpp3</groupId>
+        <artifactId>xpp3</artifactId>
+        <version>1.1.3.4.O</version>
+      </dependency>
+      <dependency>
+        <groupId>junit</groupId>
+        <artifactId>junit</artifactId>
+        <version>3.8.2</version>
+      </dependency>
+      <dependency>
+        <groupId>org.apache.poi</groupId>
+        <artifactId>poi</artifactId>
+        <version>3.0.1-FINAL</version>
+      </dependency>
+      <dependency>
+        <groupId>org.slf4j</groupId>
+        <artifactId>nlog4j</artifactId>
+        <version>1.2.25</version>
+      </dependency>
+    </dependencies>
+  </dependencyManagement>
+
+  <modules>
+    <module>studio-ldif-parser</module>
+    <module>studio-connection-core</module>
+    <module>studio-dsml-parser</module>
+    <module>studio-ldapbrowser-core</module>
+    <module>studio-connection-ui</module>
+    <module>studio-ldapbrowser-common</module>
+    <module>studio-valueeditors</module>
+    <module>studio-aciitemeditor</module>
+    <module>studio-schemaeditor</module>
+    <module>studio-schemaeditor-feature</module>
+    <module>studio-schemaeditor-help</module>
+    <module>studio-rcp</module>
+    <module>studio-rcp-feature</module>
+    <module>studio-rcp-help</module>
+    <module>studio-ldifeditor</module>
+    <module>studio-ldifeditor-feature</module>
+    <module>studio-ldifeditor-help</module>
+    <module>studio-ldapbrowser-ui</module>
+    <module>studio-ldapbrowser-feature</module>
+    <module>studio-ldapbrowser-help</module>
+    <module>studio-apacheds-configuration</module>
+    <module>studio-apacheds-configuration-feature</module>
+    <module>studio-apacheds-configuration-help</module>
+    <module>studio-jars</module>
+    <module>studio-updatesite</module>
+    <module>studio</module>
+  </modules>
+
+  <developers>
+    <developer>
+      <id>adc</id>
+    </developer>
+    <developer>
+      <id>akarasulu</id>
+      <url>http://directory.apache.org/community/who/akarasulu.html</url>
+    </developer>
+    <developer>
+      <id>bayard</id>
+    </developer>
+    <developer>
+      <id>bloritsch</id>
+    </developer>
+    <developer>
+      <id>brett</id>
+    </developer>
+    <developer>
+      <id>ckoppelt</id>
+    </developer>
+    <developer>
+      <id>elecharny</id>
+      <url>http://directory.apache.org/community/who/elecharny.html</url>
+    </developer>
+    <developer>
+      <id>erodriguez</id>
+      <url>http://directory.apache.org/community/who/erodriguez.html</url>
+    </developer>
+    <developer>
+      <id>ersiner</id>
+      <url>http://directory.apache.org/community/who/ersiner.html</url>
+    </developer>
+    <developer>
+      <id>jmachols</id>
+      <url>http://directory.apache.org/community/who/jmachols.html</url>
+    </developer>
+    <developer>
+      <id>niklas</id>
+    </developer>
+    <developer>
+      <id>noel</id>
+      <url>http://directory.apache.org/community/who/noel.html</url>
+    </developer>
+    <developer>
+      <id>pamarcelot</id>
+    </developer>
+    <developer>
+      <id>psteitz</id>
+      <url>http://directory.apache.org/community/who/psteitz.html</url>
+    </developer>
+    <developer>
+      <id>szoerner</id>
+      <url>http://directory.apache.org/community/who/szoerner.html</url>
+    </developer>
+    <developer>
+      <id>trustin</id>
+      <url>http://directory.apache.org/community/who/trustin.html</url>
+    </developer>
+    <developer>
+      <id>vtence</id>
+      <url>http://directory.apache.org/community/who/vtence.html</url>
+    </developer>
+    <developer>
+      <id>wesmckean</id>
+      <url>http://directory.apache.org/community/who/wesmckean.html</url>
+    </developer>
+  </developers>
+
+  <contributors>
+    <contributor>
+      <name>Nick Faiz</name>
+    </contributor>
+  </contributors>
+
+  <licenses>
+    <license>
+      <name>Apache License, Version 2.0</name>
+      <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
+    </license>
+  </licenses>
+
+  <build>
+    <plugins>
+      <plugin>
+        <groupId>org.apache.directory.studio</groupId>
+        <artifactId>maven-studio-plugin</artifactId>
+        <configuration>
+          <goalPrefix>studio</goalPrefix>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-eclipse-plugin</artifactId>
+        <configuration>
+          <skip>true</skip>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-site-plugin</artifactId>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-release-plugin</artifactId>
+        <configuration>
+          <tagBase>https://svn.apache.org/repos/asf/directory/apacheds/releases</tagBase>
+        </configuration>
+      </plugin>
+      <plugin>
+        <artifactId>maven-compiler-plugin</artifactId>
+        <configuration>
+          <source>1.5</source>
+          <target>1.5</target>
+        </configuration>
+      </plugin>
+    </plugins>
+
+    <pluginManagement>
+      <plugins>
+        <plugin>
+          <groupId>org.codehaus.mojo</groupId>
+          <artifactId>dependency-maven-plugin</artifactId>
+          <version>1.0</version>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-antlr-plugin</artifactId>
+          <version>2.0-beta-1</version>
+          <executions>
+            <execution>
+              <goals>
+                <goal>generate</goal>
+              </goals>
+            </execution>
+          </executions>
+        </plugin>
+
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-antrun-plugin</artifactId>
+          <dependencies>
+            <dependency>
+              <groupId>org.apache.ant</groupId>
+              <artifactId>ant-apache-regexp</artifactId>
+              <version>1.7.0</version>
+              <scope>compile</scope>
+            </dependency>
+            <dependency>
+              <groupId>xalan</groupId>
+              <artifactId>xalan</artifactId>
+              <version>2.7.0</version>
+              <scope>compile</scope>
+            </dependency>
+            <dependency>
+              <groupId>ant</groupId>
+              <artifactId>optional</artifactId>
+              <version>1.5.4</version>
+              <scope>compile</scope>
+            </dependency>
+            <dependency>
+              <groupId>org.apache.xmlgraphics</groupId>
+              <artifactId>fop</artifactId>
+              <version>0.93</version>
+              <scope>compile</scope>
+            </dependency>
+            <!-- 
+              Putting this dependency in the core pom produces following error (?):
+              Embedded error: java.lang.ClassCastException: org.apache.fop.render.pdf.PDFRendererMaker cannot be cast to org.apache.fop.render.AbstractRendererMaker
+              <dependency>
+              <groupId>org.apache.xmlgraphics</groupId>
+              <artifactId>xmlgraphics-commons</artifactId>
+              <version>1.1</version>
+              <scope>compile</scope>
+              </dependency>
             -->
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-surefire-report-plugin</artifactId>
-            </plugin>
-            <plugin>
-                <artifactId>maven-jxr-plugin</artifactId>
-            </plugin>
-            <plugin>
-                <artifactId>maven-pmd-plugin</artifactId>
-                <configuration>
-                    <linkXref>true</linkXref>
-                    <sourceEncoding>utf-8</sourceEncoding>
-                    <minimumTokens>100</minimumTokens>
-                    <targetJdk>1.5</targetJdk>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.codehaus.mojo</groupId>
-                <artifactId>taglist-maven-plugin</artifactId>
-                <configuration>
-                    <tags>
-                        <tag>TODO</tag>
-                        <tag>@todo</tag>
-                        <tag>@deprecated</tag>
-                        <tag>FIXME</tag>
-                    </tags>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-javadoc-plugin</artifactId>
-                <configuration>
-                    <aggregate>true</aggregate>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.codehaus.mojo</groupId>
-                <artifactId>findbugs-maven-plugin</artifactId>
-                <version>1.1.1</version>
-                <configuration>
-                    <xmlOutput>false</xmlOutput>
-                    <!--
-                        <xmlOutput>true|false</xmlOutput>
-                        <xmlOutputDirectory>directory location of xml findbugs report</xmlOutputDirectory>
-                        <threshold>High|Normal|Low|Exp|Ignore</threshold>
-                        <effort>Min|Default|Max</effort>
-                        <excludeFilterFile>findbugs-exclude.xml</excludeFilterFile>
-                        <includeFilterFile>findbugs-include.xml</includeFilterFile>
-                        <visitors>FindDeadLocalStores,UnreadFields</visitors>
-                        <omitVisitors>FindDeadLocalStores,UnreadFields</omitVisitors>
-                        <onlyAnalyze>org.codehaus.mojo.findbugs.*</onlyAnalyze>
-                        <pluginList>/libs/fb-contrib/fb-contrib-2.8.0.jar</pluginList>
-                        <debug>true|false</debug>
-                        <relaxed>true|false</relaxed>
-                    -->
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.codehaus.mojo</groupId>
-                <artifactId>cobertura-maven-plugin</artifactId>
-            </plugin>
-        </plugins>
-    </reporting>
-
-    <repositories>
-        <repository>
-            <releases>
-                <checksumPolicy>ignore</checksumPolicy>
-            </releases>
-            <snapshots>
-                <checksumPolicy>ignore</checksumPolicy>
-            </snapshots>
-            <id>provided.local</id>
-            <name>Locally Provided Repository</name>
-            <url>file:${project.basedir}/local-repository</url>
-        </repository>
-        <repository>
-            <id>maven.repo1</id>
-            <name>Maven Repo1 mirror</name>
-            <url>http://repo1.maven.org/maven2</url>
-        </repository>
-    </repositories>
+          </dependencies>
+        </plugin>
+      </plugins>
+    </pluginManagement>
+
+  </build>
+
+  <reporting>
+    <excludeDefaults>true</excludeDefaults>
+    <plugins>
+      <plugin>
+        <artifactId>maven-project-info-reports-plugin</artifactId>
+        <reportSets>
+          <reportSet>
+            <reports>
+              <report>license</report>
+              <report>dependencies</report>
+              <report>issue-tracking</report>
+              <report>index</report>
+            </reports>
+          </reportSet>
+        </reportSets>
+      </plugin>
+      <!--
+        <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>changelog-maven-plugin</artifactId>
+        <reportSets>
+        <reportSet>
+        <id>dual-report</id>
+        <configuration>
+        <type>range</type>
+        <range>30</range>
+        </configuration>
+        <reports>
+        <report>changelog</report>
+        <report>file-activity</report>
+        <report>dev-activity</report>
+        </reports>
+        </reportSet>
+        </reportSets>
+        </plugin>
+      -->
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-surefire-report-plugin</artifactId>
+      </plugin>
+      <plugin>
+        <artifactId>maven-jxr-plugin</artifactId>
+      </plugin>
+      <plugin>
+        <artifactId>maven-pmd-plugin</artifactId>
+        <configuration>
+          <linkXref>true</linkXref>
+          <sourceEncoding>utf-8</sourceEncoding>
+          <minimumTokens>100</minimumTokens>
+          <targetJdk>1.5</targetJdk>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>taglist-maven-plugin</artifactId>
+        <configuration>
+          <tags>
+            <tag>TODO</tag>
+            <tag>@todo</tag>
+            <tag>@deprecated</tag>
+            <tag>FIXME</tag>
+          </tags>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-javadoc-plugin</artifactId>
+        <configuration>
+          <aggregate>true</aggregate>
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>findbugs-maven-plugin</artifactId>
+        <version>1.1.1</version>
+        <configuration>
+          <xmlOutput>false</xmlOutput>
+          <!--
+            <xmlOutput>true|false</xmlOutput>
+            <xmlOutputDirectory>directory location of xml findbugs report</xmlOutputDirectory>
+            <threshold>High|Normal|Low|Exp|Ignore</threshold>
+            <effort>Min|Default|Max</effort>
+            <excludeFilterFile>findbugs-exclude.xml</excludeFilterFile>
+            <includeFilterFile>findbugs-include.xml</includeFilterFile>
+            <visitors>FindDeadLocalStores,UnreadFields</visitors>
+            <omitVisitors>FindDeadLocalStores,UnreadFields</omitVisitors>
+            <onlyAnalyze>org.codehaus.mojo.findbugs.*</onlyAnalyze>
+            <pluginList>/libs/fb-contrib/fb-contrib-2.8.0.jar</pluginList>
+            <debug>true|false</debug>
+            <relaxed>true|false</relaxed>
+          -->
+        </configuration>
+      </plugin>
+      <plugin>
+        <groupId>org.codehaus.mojo</groupId>
+        <artifactId>cobertura-maven-plugin</artifactId>
+      </plugin>
+    </plugins>
+  </reporting>
+
+  <repositories>
+    <repository>
+      <releases>
+        <checksumPolicy>ignore</checksumPolicy>
+      </releases>
+      <snapshots>
+        <checksumPolicy>ignore</checksumPolicy>
+      </snapshots>
+      <id>provided.local</id>
+      <name>Locally Provided Repository</name>
+      <url>file:${project.basedir}/local-repository</url>
+    </repository>
+    <repository>
+      <id>maven.repo1</id>
+      <name>Maven Repo1 mirror</name>
+      <url>http://repo1.maven.org/maven2</url>
+    </repository>
+  </repositories>
 </project>



Mime
View raw message